%define name    alacarte
%define version 0.13.2
%define release %mkrel 1
# %define __libtoolize /bin/true

Summary:        Simple menu editor for Gnome
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Group:          System/Configuration/Other
License:        LGPLv2+
URL:          	http://www.realistanew.com/projects/alacarte/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Source1:	%name-icons.tar.bz2
BuildArch:      noarch
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gnome-menus-devel >= 2.15.4.1
BuildRequires:	intltool
BuildRequires:	pygtk2.0-devel >= 2.8.0
Obsoletes:      smeg
Provides:       smeg = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	pygtk2.0 >= 2.8.0
Requires:	gnome-python-gconf
Requires:	gnome-python
Requires:	python-gnome-menus
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version


%description
Alacarte is a menu editor for GNOME that lets you get things done,
simply and quickly. Just click and type to edit, add, and delete
any menu entry.

%description -l de
Alacarte ist ein Menü-Editor für GNOME, um einfach Menü-Einträge
zu erstellen, verwalten oder zu löschen. 


#french
%description -l fr
Alacarte est un éditeur de menu pour GNOME qui vous permet de faire les choses,
simplement et rapidement. Il suffit de cliquer et en nature à modifier, ajouter et supprimer des
toute entrée de menu. 

#spanish
%description -l es
Alacarte es un editor de menús para GNOME que permite hacer las cosas,
simple y rápida. Basta con hacer clic y el tipo de editar, añadir y eliminar
cualquier entrada del menú.

#polish
%description -l pl
Alacarte jest prostym edytorem menu dla GNOME, który pozwala ma dodawanie, usuwanie, 
a także przesuwanie pozycji w menu GNOME.

#serbian
%description -l sr
Алацарте је мени место за Гном која вам омогућава да се ствари раде,
једноставно и брзо. Само кликните и откуцајте за уређивање, додавање и брисање
мени сваки унос.

#dutch
%description -l nl
Alacarte er en menu editor til GNOME, der lader dig få tingene gjort,
enkelt og hurtigt. Bare klik og type for at redigere, tilføje og slette
enhver menupunkt.

%prep
%setup -q -a1

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name --with-gnome

desktop-file-install --vendor="" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING
%py_puresitedir/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%name/*
%{_datadir}/icons/hicolor/*/apps/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Wed Sep 28 2010 siamer <siamer@wp.pl> 13.2-1pclos2010
- new version  
- archive in xz

* Wed Mar 31 2010 siamer <siamer@wp.pl> 13.1-1pclos2010
- new version

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 0.12.4-2pclos2010
- system rebuild

* Sun Oct 04 2009 slick50 <lxgator@gmail.com> 0.12.4-1pclos2010
- 0.12.4

* Thu May 21 2009 siamer <siamer@wp.pl> 0.12.1-1pclos2009
- new version 0.12.1

* Thu Apr 16 2009 siamer <siamer@wp.pl> 0.11.10-1pclos
- new version

* Mon Dec 01 2008 don_crissti <don_crissti@gmx.com> 0.11.6-1pclos2007
- new version
- built against new python 2.5 stuff

* Fri Nov 30 2007 Texstar <texstar@gmail.com> 0.11.3-2pclos2007
- rebuild against updated libs

* Mon Sep 03 2007 Texstar <texstar@gmail.com> 0.11.3-1pclos02007
- 0.11.3

* Sun Nov 12 2006 Texstar <texstar@houston.rr.com> 0.10.0-4pclos2007
- Build for PCLinuxOS 2007

